WPSOLEObject Class Reference documentation

Public Member Functions | Static Public Member Functions | Static Protected Member Functions | List of all members
WPSOLEObject Class Reference

a class used to parse/retrieve an OLE object More...

`#include <WPSOLEObject.h>`

## Public Member Functions
| WPSOLEObject ()
| constructor knowing the file stream More...
| ~WPSOLEObject ()
| destructor More...

## Static Public Member Functions
static bool | readMetafile (std::shared_ptr< WPSStream > stream, WPSEmbeddedObject &object, long endPos=-1, bool strict=false)
| try to read a metafile data More...
static bool | readOLE (std::shared_ptr< WPSStream > stream, WPSEmbeddedObject &object, long endPos=-1)
| try to read a OLE: 0x0105 ... More...
static bool | readWMF (std::shared_ptr< WPSStream > stream, WPSEmbeddedObject &object, long endPos=-1)
| try to read a wmf file: 0x0[12]00 0xXX00(with XX>=9) More...

## Static Protected Member Functions
static bool | readString (std::shared_ptr< WPSStream > stream, std::string &name, long endPos)
| try to read a stream More...
static bool | checkIsWMF (std::shared_ptr< WPSStream > stream, long endPos)
| check if a wmf header More...
static bool | readEmbeddedOLE (std::shared_ptr< WPSStream > stream, WPSEmbeddedObject &object, long endPos)
| try to read a embedded OLE: 0x0105 0000 0200 ... More...
static bool | readStaticOLE (std::shared_ptr< WPSStream > stream, WPSEmbeddedObject &object, long endPos)
| try to read a static OLE: 0x0105 0000 0[35]00 ... More...

## Detailed Description

a class used to parse/retrieve an OLE object

## Constructor & Destructor Documentation

## ◆ WPSOLEObject()

WPSOLEObject::WPSOLEObject | ( |  | ) |
| inline

constructor knowing the file stream

## ◆ ~WPSOLEObject()

WPSOLEObject::~WPSOLEObject | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ checkIsWMF()

bool WPSOLEObject::checkIsWMF | ( | std::shared_ptr< WPSStream > | stream,
|  | long | endPos
| ) |  |
| staticprotected

check if a wmf header

## ◆ readEmbeddedOLE()

bool WPSOLEObject::readEmbeddedOLE | ( | std::shared_ptr< WPSStream > | stream,
|  | WPSEmbeddedObject & | object,
|  | long | endPos
| ) |  |
| staticprotected

try to read a embedded OLE: 0x0105 0000 0200 ...

## ◆ readMetafile()

bool WPSOLEObject::readMetafile | ( | std::shared_ptr< WPSStream > | stream,
|  | WPSEmbeddedObject & | object,
|  | long | endPos = `-1`,
|  | bool | strict = `false`
| ) |  |
| static

try to read a metafile data

Referenced by WPS4Graph::readObject().

## ◆ readOLE()

bool WPSOLEObject::readOLE | ( | std::shared_ptr< WPSStream > | stream,
|  | WPSEmbeddedObject & | object,
|  | long | endPos = `-1`
| ) |  |
| static

try to read a OLE: 0x0105 ...

Referenced by WPSOLE1Parser::checkIfParsed(), WPS4Graph::readObject(), QuattroGraph::readOLEData(), and WPSOLE1Parser::updateEmbeddedObject().

## ◆ readStaticOLE()

bool WPSOLEObject::readStaticOLE | ( | std::shared_ptr< WPSStream > | stream,
|  | WPSEmbeddedObject & | object,
|  | long | endPos
| ) |  |
| staticprotected

try to read a static OLE: 0x0105 0000 0[35]00 ...

## ◆ readString()

bool WPSOLEObject::readString | ( | std::shared_ptr< WPSStream > | stream,
|  | std::string & | name,
|  | long | endPos
| ) |  |
| staticprotected

try to read a stream

## ◆ readWMF()

bool WPSOLEObject::readWMF | ( | std::shared_ptr< WPSStream > | stream,
|  | WPSEmbeddedObject & | object,
|  | long | endPos = `-1`
| ) |  |
| static

try to read a wmf file: 0x0[12]00 0xXX00(with XX>=9)

See also
  http://www.fileformat.info/format/wmf/egff.htm

Referenced by WPS8Graph::readBDR(), QuattroGraph::readBitmap(), and WPS8Graph::readPICT().

The documentation for this class was generated from the following files:

- WPSOLEObject.h
- WPSOLEObject.cpp